### Function

# PangoXft render_layout

#### Declaration [src]

    void
    pango_xft_render_layout (
      XftDraw* draw,
      XftColor* color,
      PangoLayout* layout,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayout` onto a XftDraw.

Available since: | 1.8

#### Parameters

`draw` | `XftDraw*`
| An XftDraw.
| The data is owned by the caller of the function.
`color` | `XftColor*`
| The foreground color in which to draw the layout (may be overridden by color attributes)
| The data is owned by the caller of the function.
`layout` | `PangoLayout*`
| A `PangoLayout`
| The data is owned by the caller of the function.
`x` | `int`
| The X position of the left of the layout (in Pango units)
`y` | `int`
| The Y position of the top of the layout (in Pango units)